Bug 1081891 (CVE-2014-2665) - CVE-2014-2665 mediawiki: missing CSRF protection on Special:ChangePassword
Summary: CVE-2014-2665 mediawiki: missing CSRF protection on Special:ChangePassword
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-2665
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1081892 1081893 1081894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-28 07:11 UTC by Murray McAllister
Modified: 2019-09-29 13:15 UTC (History)
5 users (show)

Fixed In Version: mediawiki 1.22.5, mediawiki 1.21.8, mediawiki 1.19.14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:32:16 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-03-28 07:11:04 UTC
The MediaWiki release announcement for versions 1.22.5, 1.21.8 and 1.19.14 notes the following:

== Security ==
* (bug 62497) SECURITY: Add CSRF token on Special:ChangePassword.

This could be used to reset another user's password. A patch is available from the below bugzilla.wikimedia.org bug.

References:
http://lists.wikimedia.org/pipermail/mediawiki-announce/2014-March/000145.html
https://bugzilla.wikimedia.org/show_bug.cgi?id=62497

Comment 1 Murray McAllister 2014-03-28 07:13:00 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1081892]
Affects: epel-5 [bug 1081893]

Comment 2 Murray McAllister 2014-03-28 07:13:03 UTC
Created mediawiki119 tracking bugs for this issue:

Affects: epel-6 [bug 1081894]

Comment 3 Murray McAllister 2014-03-28 07:14:14 UTC
CVE request: http://www.openwall.com/lists/oss-security/2014/03/28/1

Comment 4 Murray McAllister 2014-04-02 02:05:55 UTC
MITRE assigned CVE-2014-2665 to this issue:

http://seclists.org/oss-sec/2014/q2/6

Comment 5 Fedora Update System 2014-04-09 01:00:23 UTC
mediawiki-1.21.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-04-09 01:03:49 UTC
mediawiki-1.21.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-16 03:03:57 UTC
mediawiki119-1.19.15-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-05-16 03:04:19 UTC
mediawiki119-1.19.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-08 02:32:16 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.